#
# spec file for package pgadmin3 (1.6.3 0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://www.suse.de/feedback/
#
# norootforbuild

Name:         pgadmin3
Summary:      A management and administration tools for the PostgreSQL database
License:      Artistic License
Group:        Productivity/Databases/Tools
Version:      1.8.4
Release:      1.1
URL:          http://www.pgadmin.org/index.php
Source0:      %name-%{version}.tar.bz2
Source1:      %{name}.desktop
Recommends:     postgresql-server
BuildRequires:  postgresql postgresql-devel libxml2-devel libxslt-devel gcc-c++ wxGTK-devel update-desktop-files
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Patch:			pgadmin3-1.8.2-rpmoptflags.patch
%requires_eq	postgresql

%description
pgAdmin III is an administration and management tool for the PostgreSQL database and derivative products such as EnterpriseDB, Mammoth PostgreSQL, Pervasive Postgres, and SRA PowerGres. It includes a graphical administration interface, an SQL query tool with grahical EXPLAIN, a procedural code editor, an SQL/shell/batch scheduling agent, Slony-I management, and much more. It is designed to answer the needs of most users, from writing simple SQL queries to developing complex databases. The graphical interface supports all PostgreSQL features and makes administration easy.

%debug_package

%prep

%setup -q
%patch
%build

autoreconf -fiv

CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"

export CFLAGS
export CXXFLAGS

%configure --with-pic --disable-static

%{__make} %{?jobs:-j%jobs}

%install

%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir_p} $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps/
%{__install} -m 644 ./pgadmin/include/images/elephant32.xpm $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps/

find %buildroot%{_datadir}/%{name}/docs -type f -exec chmod 644 {} +

%suse_update_desktop_file -i %{name} System Database

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/pgadmin3
%{_bindir}/pgagent
%dir /usr/share/pgadmin3
%dir /usr/share/pgadmin3/branding
%dir /usr/share/pgadmin3/docs
%dir /usr/share/pgadmin3/i18n
/usr/share/pgadmin3/i18n/*
/usr/share/pgadmin3/pgagent.sql
/usr/share/pgadmin3/branding/branding.ini
#the code seems to expect docs to be here !!
/usr/share/pgadmin3/docs/*
/usr/share/applications/pgadmin3.desktop
/usr/share/pixmaps/elephant32.xpm
%doc BUGS CHANGELOG LICENSE README TODO
%changelog
* Thu Dec 11 2008 crrodriguez@suse.de
- fix build in 11.1
* Mon Jun 16 2008 crrodriguez@suse.de
- do not require postgresql-server only Recommend it
* Mon Jun  2 2008 crrodriguez@suse.de
- use rpm opt flags
